%define name libmdf
%define version 1.0.29
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: https://packages.millistream.com/source/%{name}-%{version}.tar.gz
License: LGPLv3+
BuildRequires: pkgconfig(libcrypto)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libzstd)
Group: Development/Libraries
URL: https://millistream.com
Vendor: Millistream Market Data AB
Summary: Millistream Data Feed API library

%description
%{name} is the Millistream Data Feed API library with which developers 
can connect to the Millistream Market Data system and subscribe to 
streaming real-time or delayed market data such as stocks, indices,
currencies, bonds, derivatives and news services.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}.

%prep
%setup -q

%build
%configure
make

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/libmdf.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README NEWS COPYING AUTHORS
%{_libdir}/libmdf.so.*

%files devel
%defattr(-,root,root)
%doc README NEWS COPYING AUTHORS
%{_includedir}/mdf/*
%{_libdir}/pkgconfig/libmdf.pc
%{_libdir}/libmdf.a
%{_libdir}/libmdf.so

%changelog
* Mon May 8 2023 Henrik Holst <henrik.holst@millistream.com>
- Added libzstd to builddeps

* Wed Jul 12 2017 Henrik Holst <henrik.holst@millistream.com> - 1.0.20-2
- Changed to the spec file to meet the Fedora Packaging Guidelines

* Thu Apr 28 2011 Henrik Holst <henrik.holst@millistream.com>
- Changed package name from mdf to libmdf

* Tue Mar 09 2010 Henrik Holst <henrik.holst@millistream.com>
- Support for lib64 systems

* Tue Mar 24 2009 Henrik Holst <henrik.holst@millistream.com>
- Install pkg-config files
- Changed the descriptions a bit

* Mon Jan 19 2009 Henrik Holst <henrik.holst@millistream.com>
- First draft of the spec file

